# coding=utf-8
from rest_framework import serializers

from apps.option.models import Option
from apps.option.serializers import OptionSerializer
from .models import ReportCustomer

class ReportCustomerSerializer(serializers.ModelSerializer):
    gender_text = serializers.CharField(source='get_gender_display', read_only=True)
    report_status_text = serializers.CharField(source='get_report_status_display', read_only=True)
    check_time = serializers.DateTimeField(format='%Y-%m-%d %H:%M', read_only=True)
    project = serializers.SerializerMethodField()

    def get_project(self, obj):
        return OptionSerializer(obj.project, many=True).data

    class Meta:
        model = ReportCustomer
        fields = '__all__'

    def create(self, validated_data):
        print(111111111,int(self.initial_data['project']))
        # validated_data['project'] = self.initial_data['project']
        instance = super(ReportCustomerSerializer, self).create(validated_data)
        return instance

    # def update(self, instance, validated_data):
    #     if instance.project == self.initial_data['project']

